#pragma semicolon 1

#include <sourcemod>
#include <cstrike>

public Plugin:myinfo = 
{
	name	= "Drop Nades",
	author	= "wS / Schmidt",
	version	= "1.2",
	url		= "http://world-source.ru/"
};

new Handle:g_Trie;

public OnPluginStart()
{
	g_Trie = CreateTrie();
	SetTrieValue(g_Trie, "hegrenade", 11);
	SetTrieValue(g_Trie, "flashbang", 12);
	SetTrieValue(g_Trie, "smokegrenade", 13);

	AddCommandListener(wS_Drop, "drop");
}

public Action:wS_Drop(client, const String:command[], args)
{
	if (!(0 < client <= MaxClients))
		return Plugin_Continue;

	new weapon = GetEntPropEnt(client, Prop_Send, "m_hActiveWeapon");
	if (weapon < 1)
		return Plugin_Continue;

	decl String:class[21], pos;
	if (GetEntityClassname(weapon, class, 21)
		&& GetTrieValue(g_Trie, class[7], pos)
		&& GetEntProp(client, Prop_Send, "m_iAmmo", _, pos) > 0)
	{
		CS_DropWeapon(client, weapon, true, true);
		return Plugin_Handled;
	}

	return Plugin_Continue;
}